Name:           python-platformio
Version:        5.2.3
Release:        1%{?dist}
Summary:        A professional collaborative platform for embedded development. Cross-platform IDE and Unified Debugger. Static Code Analyzer and Remote Unit Testing. Multi-platform and Multi-architecture Build System. Firmware File Explorer and Memory Inspection. IoT, Arduino, CMSIS, ESP-IDF, FreeRTOS, libOpenCM3, mbedOS, Pulp OS, SPL, STM32Cube, Zephyr RTOS, ARM, AVR, Espressif (ESP8266/ESP32), FPGA, MCS-51 (8051), MSP430, Nordic (nRF51/nRF52), NXP i.MX RT, PIC32, RISC-V, STMicroelectronics (STM8/STM32), Teensy

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        ASL
URL:            https://platformio.org
Source0:        %{pypi_source platformio}

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
This is package 'platformio' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-platformio
Summary:        %{summary}

%description -n python3-platformio %_description


%prep
%autosetup -p1 -n platformio-%{version}


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-platformio -f %{pyproject_files}


%changelog
* Wed Dec 01 2021 mockbuilder - 5.2.3-1
- Package generated with pyp2spec